CiderWebmail::Mailbox(3pm)

NAME
CiderWebmail::Mailbox

SYNOPSIS
    my $messages = $mailbox->list_messages_hash({uids => \@uids});
    my @uids = $mailbox->uids({filter => 'foo', sort => 'date'});

DESCRIPTION
Represents an IMAP folder

ATTRIBUTES

c
mailbox

  list_messages_hash
Returns a list of messages with from, subject and date. Takes a list of uids or a sort order.

  uids({filter => 'searchme', sort => 'date'})
Returns the uids of the messages in this folder. Takes an optional filter and a sort order.

AUTHORS
Mathias Reitinger <mathias.reitinger@loop0.org> Stefan Seifert <nine@cpan.org>

LICENSE
This library is free software, you can redistribute it and/or modify it under the same terms as Perl itself.